package sign

import (
	"crypto"
	"hash"

	"go.cypherpunks.su/keks/cm/sign/mode"
)

type Iface interface {
	crypto.Signer
	SetMode(mode.Mode) error
	Prehasher() *hash.Hash
	Algo() string
	Mode() mode.Mode
}
